package com.nto.presentation.screens.loginScreen

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import androidx.navigation.NavHostController
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class LoginViewModel @Inject constructor(): ViewModel(){
    private val _state = MutableStateFlow(LoginScreenState())

    val state: StateFlow<LoginScreenState>
        get() = _state.asStateFlow()

    fun setEmail(value: String) {
        _state.tryEmit(_state.value.copy(email = value))
        checkInput()
    }

    fun setPassword(value: String) {
        _state.tryEmit(_state.value.copy(password = value))
        checkInput()
    }

    private fun checkInput() {
        //TODO: domain level
    }

    fun login(navController: NavHostController) {
        viewModelScope.launch(Dispatchers.IO) {
            //TODO: domain level
        }
    }
}