package com.nto.presentation.theme

import androidx.compose.ui.graphics.Color
import android.annotation.SuppressLint
import androidx.compose.runtime.Immutable
import androidx.compose.runtime.staticCompositionLocalOf

val TextGray = Color(0xFFC4BBC7)
val BoxGray = Color(0xFFF8F0FB)
val Green = Color(0xFF738D73)
val GreenDisabled = Color(0xFFCAD5CA)

@Immutable
data class AppColors(
    val primaryBackground: Color,
    val secondaryBackground: Color,
    val inputFieldBackground: Color,
    val disabledText: Color,
    val primaryText: Color,
    val secondaryText: Color,
    val button: Color,
    val buttonDisabled: Color,
    val tint: Color,

    )

@SuppressLint("ComposeCompositionLocalUsage")
val LocalAppColors = staticCompositionLocalOf {
    AppColors(
        primaryBackground = Color.Unspecified,
        secondaryBackground = Color.Unspecified,
        inputFieldBackground = Color.Unspecified,
        disabledText = Color.Unspecified,
        primaryText = Color.Unspecified,
        secondaryText = Color.Unspecified,
        button = Color.Unspecified,
        buttonDisabled = Color.Unspecified,
        tint = Color.Unspecified
    )
}

val extendedColor = AppColors(
    primaryBackground = Color.White,
    secondaryBackground = Color.Black,
    inputFieldBackground = BoxGray,
    disabledText = TextGray,
    primaryText = Color.Black,
    secondaryText = Color.White,
    button = Green,
    buttonDisabled = GreenDisabled,
    tint = Color.Black
)